# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global tarname Whoosh

Name:           python-whoosh
Version:        0.3.9
Release:        1%{?dist}
Summary:        Fast, pure-Python full text indexing, search, and spell checking library

Group:          Development/Languages
License:        ASL 2.0
URL:            http://whoosh.ca/
Source0:        http://pypi.python.org/packages/source/W/%{tarname}/%{tarname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

%description
Whoosh is a fast, featureful full-text indexing and searching library 
implemented in pure Python.

Whoosh was created and is maintained by MattChaput. It was originally created 
for use in the online help system of Side Effects Software's 3D animation 
software Houdini. Side Effects Software Inc. graciously agreed to open-source 
the code.

Some of Whoosh's features include:

Pythonic API.
Pure-Python. No compilation or binary packages needed, no mysterious crashes.
Fielded indexing and search.
Fast indexing and retrieval -- faster than any other pure-Python, scoring, 
full-text search solution I know of.
Pluggable scoring algorithm (including BM25F), text analysis, storage, posting 
format, etc.
Powerful query language parsed by pyparsing.
Pure Python spell-checker (as far as I know, the only one).
Whoosh might be useful in the following circumstances:

Anywhere a pure-Python solution is desirable to avoid having to build/compile 
native libraries (or force users to build/compile them).
As a research platform (at least for programmers that find Python easier to 
read and work with than Java ;)
When an easy-to-use Pythonic interface is more important to you than raw speed.

%prep
%setup -q -n %{tarname}-%{version}

# Fix script-without-shebang rpmlint warnings.
chmod 644 PKG-INFO 
chmod 644 README.txt 
chmod 644 src/Whoosh.egg-info/dependency_links.txt 
chmod 644 src/Whoosh.egg-info/PKG-INFO 
chmod 644 src/Whoosh.egg-info/SOURCES.txt
chmod 644 src/Whoosh.egg-info/top_level.txt 
chmod 644 src/Whoosh.egg-info/zip-safe


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*


%changelog
* Wed Dec  9 2009 Allisson Azevedo <allisson@gmail.com> 0.3.9-1
- Initial RPM release
